<?php
/**
 * Created by PhpStorm.
 * User: Steven
 * Date: 2016/12/2
 * Time: 18:50
 */
require_once __DIR__ . '/Api/commonService.classs.php';  //基类
require_once __DIR__ . '/Utils/utils.class.php'; //引入工具类
if (isset($_POST['t'])) {  //t:文件名_方法名称
    //TODO:艺龙对接我们的产品入口
    $type = explode("_", $_POST['t']);
    $file_name = isset($type[0]) ? 'Api/' . $type[0] . 'Service.class.php' : false; //文件名
    $class_name = isset($type[0]) ? $type[0] . 'Service' : false;   //类名
    $method_name = isset($type[1]) ? $type[1] : false;  //方法名
    if (false === $file_name || false === $class_name || false === $method_name) {
        $result['code'] = '101';
        $result['info'] = '参数错误!';
        echo json_encode($result);
        exit();
    }
    if (file_exists($file_name)) {
        require_once $file_name;
        if (!is_callable(array($class_name, $method_name))) { //检查类方法是否存在且是否可以访问
            $result['code'] = '102';
            $result['info'] = '非法请求!';
            echo json_encode($result);
            exit();
        }
        $class_obj = new $class_name;
        $res = call_user_func(array($class_obj, $method_name), $_POST);  //根据指定的类名、方法名请求指定的类、方法
        //print_r($res);
        return $res;
    } else //文件不存在
    {
        $result['code'] = '103';
        $result['info'] = '访问被阻止!';
        echo json_encode($result);
        exit();
    }
} elseif (isset($_POST['Message']))   //订单接口   ;根据传入的xml解析判断操作类型（下单、取消，更新订单）或者要求eLong传入指定操作类型的参数
{
    require_once 'Api/createService.class.php';
    $class_obj = new createService();
    $res = call_user_func(array($class_obj, 'orderMain'), $_POST);  //根据指定的类名、方法名请求指定的类、方法
    return $res;
} else {
    //TODO:我们对接艺龙的产品入口
    //echo "hello world";

}